=== requirements.txt ===
pbr>=0.8.0
requests>=2.10.0,<=2.18.4
