=== debian/control ===
Source: python-pygerrit2
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Filip Pytloun <filip@pytloun.cz>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pbr (>= 0.8.2),
 python3-setuptools,
Build-Depends-Indep:
 python3-requests (>= 2.10.0),
Standards-Version: 4.1.3
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/dpursehouse/pygerrit2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pygerrit2
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pygerrit2.git

Package: python3-pygerrit2
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: library to interact with Gerrit via the REST API - Python 3.x
 pygerrit2 is simple Python library to provide interface to interact with
 Gerrit Code Review via it's REST API.
 .
 This package contains the Python 3.x module.
